Skip to main content
GET
/
v1
/
stores
/
{store}
/
subscription-plans
/
{plan}
/
subscriptions
/
{subscription}
Get subscription
curl --request GET \
  --url https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}/subscriptions/{subscription} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}/subscriptions/{subscription}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}/subscriptions/{subscription}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "name": "stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ/subscriptions/01JNRVWWHH68E76V3TMFFT6GHJ",
  "status": "PENDING_ACCEPTANCE",
  "buyer": {
    "email": "buyer@example.com",
    "phoneNumber": "+573215786325",
    "firstName": "Santiago",
    "lastName": "García"
  },
  "createTime": "2024-01-15T10:30:00Z",
  "firstChargeAmountCents": 3000000,
  "redirectUri": "https://example.com/subscription-status",
  "acceptanceUrl": "https://checkout.confiopagos.com/s/abc123token",
  "acceptanceTokenExpiresAt": "2024-01-22T10:30:00Z",
  "currentPeriodStart": "2024-01-15T10:30:00Z",
  "currentPeriodEnd": "2024-02-15T10:30:00Z",
  "nextBillingTime": "2024-02-15T10:30:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

store
string
required
Example:

"01G65Z755AFWAKHE12NY0CQ9FH"

plan
string
required
Example:

"01JNRVWWHH68E76V3TMFFT6GHJ"

subscription
string
required
Example:

"01JNRVWWHH68E76V3TMFFT6GHJ"

Response

200 - application/json

Successfully fetched subscription.

name
string
required

Subscription's resource name

Example:

"stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ/subscriptions/01JNRVWWHH68E76V3TMFFT6GHJ"

status
enum<string>
required

Subscription status

Available options:
PENDING_ACCEPTANCE,
ACTIVE,
TRIALING,
PAST_DUE,
CANCELED,
SUSPENDED
Example:

"PENDING_ACCEPTANCE"

buyer
object
required

Buyer information

createTime
string
required

Creation timestamp

Example:

"2024-01-15T10:30:00Z"

firstChargeAmountCents
number

Optional first charge amount in cents (only for the first charge)

Example:

3000000

redirectUri
string<uri>

Optional redirect URI after subscription payment

Example:

"https://example.com/subscription-status"

acceptanceUrl
string

URL for buyer to accept the subscription (only available when status is PENDING_ACCEPTANCE)

Example:

"https://checkout.confiopagos.com/s/abc123token"

acceptanceTokenExpiresAt
string

Expiration time of the acceptance token

Example:

"2024-01-22T10:30:00Z"

currentPeriodStart
string

Start of current billing period

Example:

"2024-01-15T10:30:00Z"

currentPeriodEnd
string

End of current billing period

Example:

"2024-02-15T10:30:00Z"

nextBillingTime
string

Next billing date

Example:

"2024-02-15T10:30:00Z"